org.apache.tomcat.util

## Class DomUtil.NullResolver

- java.lang.Object
- - org.apache.tomcat.util.DomUtil.NullResolver

All Implemented Interfaces:
  EntityResolver

Enclosing class:
  DomUtil

    public static class DomUtil.NullResolver
    extends Object
    implements EntityResolver

### Constructor Summary

Constructors
Constructor and Description
`DomUtil.NullResolver()`

### Method Summary

Methods
`InputSource` `resolveEntity(String publicId, String systemId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DomUtil.NullResolver

    public DomUtil.NullResolver()

### Method Detail

#### resolveEntity

    public InputSource resolveEntity(String publicId,
                            String systemId)
                              throws SAXException,
                                     IOException

Specified by:
  `resolveEntity` in interface `EntityResolver`
Throws:
  `SAXException`
  `IOException`